textures/common/areaportal
{
	surfaceparm areaportal
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	qer_trans 0.5
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	qer_trans 0.4
}

textures/common/clusterportal
{
	surfaceparm clusterportal
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/common/cushion
{
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
}

textures/common/donotenter
{
	surfaceparm donotenter
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

// never used
//
//textures/common/energypad
//{
//	qer_editorimage textures/sfx/bluegoal.tga
//	surfaceparm nolightmap
//	cull twosided
//	{
//		map textures//bluegoal.tga
//		blendFunc GL_ONE GL_SRC_ALPHA
//		tcGen environment
//		tcMod turb 0 0.25 0 0.05
//	}
//}
// silly shader, use weapclip instead
textures/common/full_clip
{
	surfaceparm nodraw
	surfaceparm playerclip
	qer_trans 0.4
}

// should NOT use surfaceparm hint.. strange but true
textures/common/hint
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm hint
	qer_nocarve
	qer_trans 0.3
}

// solid, transparent polygons, casts shadows
textures/common/invisible
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
}

textures/common/mirror2
{
	qer_editorimage textures/common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
	{
		map textures/sfx/mirror.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/common/missileclip
{
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
	qer_trans 0.4
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}

textures/common/nodrop
{
	surfaceparm nodraw
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
}

textures/common/noimpact
{
	qer_editorimage textures/common/nolightmap.tga
	surfaceparm nodraw
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nosteps
	surfaceparm playerclip
	surfaceparm trans
}

textures/common/nolightmap
{
	surfaceparm nolightmap
}

textures/common/origin
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm origin
	surfaceparm trans
	qer_nocarve
}

textures/common/portal
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		tcMod turb 0 0.25 0 0.05
		depthWrite
	}
}

textures/common/slick
{
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	qer_trans 0.5
}

textures/common/timportal
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/portal.tga
		blendfunc gl_one gl_src_alpha
		tcMod turb 0 0.25 0 0.05
		depthWrite
	}
}

textures/common/trigger
{
	surfaceparm nodraw
	qer_nocarve
	qer_trans 0.5
}

textures/common/weapclip
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.4
}

textures/common/metalclip
{
	surfaceparm metalsteps
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	qer_trans 0.4
}

textures/common/botclip
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm botclip
	qer_trans 0.4
}

textures/common/ladder
{
	qer_editorimage textures/common/ladder.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.4
}

// SCDS_reyalP: hint with normal priority, creates splits after structural brushes
textures/common/hintsubtle
{
	qer_editorimage textures/common/hintsu.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	qer_nocarve
	qer_trans 0.3
}

